Subject: Re: [eman] Minutes(11/16) for Eman-Mib

From: "Mouli Chandramouli (moulchan)" <[email-masked]>
Date: Tue, 21 Feb 2012 02:50:37 -0600

Hello Hiroto,

Thanks for your response. 

Not sure I understand the motivation of your proposal. 

Let me explain the current draft. 

We have 3 possibilities for the window of energy measurement -  
      eoEnergyParametersIntervalMode  - Period (1), sliding (2) or total (3)

When the total (3) mode is used for energy measurement, 

there is only one interval, which is the duration since the last reset, thus eoEnergyParametersIntervalNumber - is '1' 
and secondly,  eoEnergyParametersIntervalLength is not applicable in this case, since technically, the duration of the window is from the last reset. 

Setting this value '0' - wouldn't that be misleading - ? 

Please let me know. 

Thanks
Mouli

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Saturday, January 14, 2012 11:43 AM
To: Mouli Chandramouli (moulchan)
Cc: [email-masked]; Benoit Claise (bclaise); [email-masked]; [email-masked]
Subject: Re[2]: Minutes(11/16) for Eman-Mib

Hello,

thank your comments.

I agreed it's not necessary to add another index to the parameters table.

But, we have to state the IntervalLength of total clearly in our draft.

#draft Page.47 
---------------
The value of eoEnergyParametersIntervalNumber should be (1) one and eoEnergyParametersIntervalLength is ignored.  

following is my proposal.
--------------------------
The value of eoEnergyParametersIntervalNumber should be (1) one and eoEnergyParametersIntervalLength is zero.  
                                                                                                     ^^^^^^^^

Using the same words in Page.22.

Regards,
Hiroto

>Hello,
>
>As I had mentioned in conversation, it would be useful to understand the use case for the simultaneous measurement of total and period together. 
>
>   EoEnergyParametersEntry ::= SEQUENCE {
>                eoEnergyParametersIntervalLength     TimeInterval,
>                eoEnergyParametersIntervalNumber     Integer32,
>                eoEnergyParametersIntervalMode       Integer32,
>                eoEnergyParametersIntervalWindow     TimeInterval,
>                eoEnergyParametersSampleRate         Integer32,
>                eoEnergyParametersStatus             RowStatus
>        }
>
>
>The parameters table - specifies the parameters for Energy measurement  - length of the interval,  number of intervals, offset for window, sampling rate etc. 
>
>But, for total energy measurement, some of the other parameters need not even be specified; interval length, number of intervals, offset, etc. 
>So, it may not be useful to add another index to the parameters table I think. 
>
>Whereas, based on the parameters,  Energy measurement is reported eoEnergyTable -  eoEnergyIntervalEnergyConsumed, eoEnergyIntervalEnergyProduced. 
>Which reports the energy consumed in that specified interval. 
>
>It may be possible to add a couple of more objects to report the total energy consumed, total energy produced - in addition  to the energy consumed or produced in a given interval. 
>
>Thanks
>Mouli
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] 
>Sent: Thursday, December 08, 2011 7:53 AM
>To: Benoit Claise (bclaise); Mouli Chandramouli (moulchan)
>Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
>Subject: Re:Minutes(11/16) for Eman-Mib
>
>Hi, all
>
>There is a thing I confrim.
>
>>2.
>>  Discussed the additional index of eoEnergyParametersEntry.
>
>We agreed to using period(1) and total(3) at the same time.
>Therefore, eoEnergyTable has multiple entries that are the same eoPowerIndex
>and different eoEnergyParametersIntervalMode.
>But, now, eoEnergyParametersEntry can't be distinguished between periodical and total.
>
>following is an example.
>
>    eoEnergyParametersIntervalLength.xx = 800 <- periodical or total??
>    eoEnergyParametersIntervalNumber.xx =  20 <- periodical or total??
>    (xx indicates eoPowerIndex)
>
>So, I need to have another index as such.
>
>OLD：
>         eoEnergyParametersEntry OBJECT-TYPE
>             SYNTAX          EoEnergyParametersEntry
>             MAX-ACCESS      not-accessible
>             STATUS          current
>             DESCRIPTION
>                "An entry controls an energy measurement in
>                eoEnergyTable."
>             INDEX  { eoPowerIndex }
>
>NEW：
>
>         eoEnergyParametersEntry OBJECT-TYPE
>             SYNTAX          EoEnergyParametersEntry
>             MAX-ACCESS      not-accessible
>             STATUS          current
>             DESCRIPTION
>                "An entry controls an energy measurement in
>                eoEnergyTable."
>             INDEX  { eoPowerIndex, eoEnergyParametersIntervalMode }
>                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
>Is my understanding correct?
>
>Regards,
>Hiroto
>
>
>